# Users

{% openapi src="/files/DFxnj85ZsASPYXzkPAko" path="/api/v3/users" method="get" %}
[UshahidiV3.json](https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json)
{% endopenapi %}

## add user

<mark style="color:green;">`POST`</mark> `https://ushahididocs.api.ushahidi.io/api/v3/users`

#### Request Body

| Name             | Type    | Description                    |
| ---------------- | ------- | ------------------------------ |
| email            | String  | The user's email address       |
| failed\_attempts | Integer | Number of failed attempts      |
| logins           | integer | Number of login attempts       |
| realname         | String  | The user's real name           |
| password         | String  | The user's password            |
| last\_attempt    | String  | Date of previous login attempt |
| last\_login      | String  | Last login date                |
| gravatar         | String  | The user's gravatar            |
| role             | String  | user's roleString              |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "id": 0,
  "url": "string",
  "email": "string",
  "realname": "string",
  "logins": 0,
  "failed_attempts": 0,
  "last_login": "string",
  "last_attempt": "string",
  "created": "string",
  "updated": "string",
  "role": "string",
  "language": "string",
  "contacts": [
    {
      "id": "string",
      "user_id": "string",
      "data_source": "string",
      "type": "string",
      "contact": "string",
      "created": "string",
      "updated": "string",
      "can_notify": "string"
    }
  ],
  "allowed_privileges": [
    "string"
  ],
  "gravatar": "string"
}
```

{% endtab %}
{% endtabs %}

{% openapi src="/files/DFxnj85ZsASPYXzkPAko" path="/api/v3/users/3" method="get" %}
[UshahidiV3.json](https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json)
{% endopenapi %}

## edit user

<mark style="color:orange;">`PUT`</mark> `https://ushahididocs.api.ushahidi.io/api/v3/users/1`

#### Request Body

| Name             | Type    | Description                    |
| ---------------- | ------- | ------------------------------ |
| email            | String  | The user's email address       |
| failed\_attempts | Integer | Number of failed attempts      |
| logins           | integer | Number of login attempts       |
| realname         | String  | The user's real name           |
| password         | String  | The user's password            |
| last\_attempt    | String  | Date of previous login attempt |
| last\_login      | String  | Last login date                |
| gravatar         | String  | The user's gravatar            |
| role             | String  | user's roleString              |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "id": 0,
  "url": "string",
  "email": "string",
  "realname": "string",
  "logins": 0,
  "failed_attempts": 0,
  "last_login": "string",
  "last_attempt": "string",
  "created": "string",
  "updated": "string",
  "role": "string",
  "language": "string",
  "contacts": [
    {
      "id": "string",
      "user_id": "string",
      "data_source": "string",
      "type": "string",
      "contact": "string",
      "created": "string",
      "updated": "string",
      "can_notify": "string"
    }
  ],
  "allowed_privileges": [
    "string"
  ],
  "gravatar": "string"
}
```

{% endtab %}
{% endtabs %}

## edit admin user

<mark style="color:orange;">`PUT`</mark> `https://ushahididocs.api.ushahidi.io/api/v3/users/me`

#### Request Body

| Name             | Type    | Description                    |
| ---------------- | ------- | ------------------------------ |
| email            | String  | The user's email address       |
| failed\_attempts | Integer | Number of failed attempts      |
| logins           | integer | Number of login attempts       |
| realname         | String  | The user's real name           |
| password         | String  | The user's password            |
| last\_attempt    | String  | Date of previous login attempt |
| last\_login      | String  | Last login date                |
| gravatar         | String  | The user's gravatar            |
| role             | String  | user's roleString              |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "id": 0,
  "url": "string",
  "email": "string",
  "realname": "string",
  "logins": 0,
  "failed_attempts": 0,
  "last_login": "string",
  "last_attempt": "string",
  "created": "string",
  "updated": "string",
  "role": "string",
  "language": "string",
  "contacts": [
    {
      "id": "string",
      "user_id": "string",
      "data_source": "string",
      "type": "string",
      "contact": "string",
      "created": "string",
      "updated": "string",
      "can_notify": "string"
    }
  ],
  "allowed_privileges": [
    "string"
  ],
  "gravatar": "string"
}
```

{% endtab %}
{% endtabs %}

{% openapi src="/files/DFxnj85ZsASPYXzkPAko" path="/api/v3/users/80" method="delete" %}
[UshahidiV3.json](https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json)
{% endopenapi %}

{% openapi src="/files/DFxnj85ZsASPYXzkPAko" path="/api/v3/users/me" method="get" %}
[UshahidiV3.json](https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ushahidi.com/v3-ushahidi-platform-rest-api-documentation/v3/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
